安装 Composer

安装 Composer

简介

ComposerPHP的一个依赖管理工具。它允许你申明项目所依赖的代码库,它会在你的项目中为你安装他们,那么这篇教程就讲解怎样安装Composer

系统要求

运行Composer需要PHP 5.3.2+以上版本,否则将会无法正常运行。如果你还没有安装PHP,可以阅读我的教程:安装PHP教程进行安装

Windows下安装Composer

Windows中安装Composer有两种方式

通过小皮面板安装

如果你的PHP是使用小皮面板进行安装的,那么可以直接使用小皮面板进行安装Composer,打开小皮面板,点击左侧的软件管理,找到Composer,选择一个版本进行下载,可能会有一个无法安装,如果无法安装可以尝试另一个版本,如果两个版本都无法安装则可以尝试手动安装
Composer安装完成

设置环境变量

安装完成后需要设置环境变量才可以直接使用,进入安装路径,例如C:\phpstudy_pro\Extensions\composer1.8.5,复制路径,修改环境变量,在Path中加入这个路径
设置环境变量

手动安装Composer

下载Composer,访问地址:https://install.phpcomposer.com/composer.phar ,在浏览器访问后会自动下载,下载完成后将composer.phar放入PHP安装目录中,和php.exe同级,新建composer.bat,并写入内容:

DOS
1
@php "%~dp0composer.phar" %*

检查版本

DOS
1
composer -V

Windows检查版本

Linux下安装Composer

Bash
1
2
sudo wget https://install.phpcomposer.com/composer.phar -O /bin/composer
sudo chmod +x /bin/composer

这样就将Composer安装到Linux系统中了,运行这个指令检查是否安装成功

Bash
1
composer -V

出现这样的提示就是安装成功了
Linux检查版本

修改下载镜像源

因为默认的下载源是Github,平时下载包会非常慢,所以需要修改下载镜像源,修改镜像源有两种方法,修改全局配置修改当前项目配置

修改全局配置

Bash
1
composer config -g repo.packagist composer https://packagist.phpcomposer.com

修改当前项目配置

首先进入项目根目录

Bash
1
composer config repo.packagist composer https://packagist.phpcomposer.com

结尾

这篇教程到这里就结束了,感谢您的耐心阅读,如果你在安装的过程中遇到问题,可以在下方评论区中留言。

文章作者
SCH
发布于

2023-02-05

修改于

2023-02-05

许可协议

CC BY-NC-ND 4.0

评论

昵称
邮箱
网址
暂无